# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
"""Client and server classes corresponding to protobuf-defined services."""
import grpc

from protubufs import authorize_pb2 as authorize__pb2
from protubufs import user_pb2 as user__pb2


class AuthenticateStub(object):
    """Missing associated documentation comment in .proto file."""

    def __init__(self, channel):
        """Constructor.

        Args:
            channel: A grpc.Channel.
        """
        self.VerifyToken = channel.unary_unary(
                '/todo_app.Authenticate/VerifyToken',
                request_serializer=authorize__pb2.Credentials.SerializeToString,
                response_deserializer=user__pb2.User.FromString,
                )


class AuthenticateServicer(object):
    """Missing associated documentation comment in .proto file."""

    def VerifyToken(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')


def add_AuthenticateServicer_to_server(servicer, server):
    rpc_method_handlers = {
            'VerifyToken': grpc.unary_unary_rpc_method_handler(
                    servicer.VerifyToken,
                    request_deserializer=authorize__pb2.Credentials.FromString,
                    response_serializer=user__pb2.User.SerializeToString,
            ),
    }
    generic_handler = grpc.method_handlers_generic_handler(
            'todo_app.Authenticate', rpc_method_handlers)
    server.add_generic_rpc_handlers((generic_handler,))


 # This class is part of an EXPERIMENTAL API.
class Authenticate(object):
    """Missing associated documentation comment in .proto file."""

    @staticmethod
    def VerifyToken(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/todo_app.Authenticate/VerifyToken',
            authorize__pb2.Credentials.SerializeToString,
            user__pb2.User.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)
